Summary:	fast fourier transform library
Name:		fftw
Version:	2.1.3
Release:	1
Copyright:	GPL
Group:		Libraries
Source:		ftp://ftp.fftw.org/pub/fftw/%{name}-%{version}.tar.gz
Patch:		fftw-info.patch
Icon:		fftw-logo-thumb.gif
URL:		http://www.fftw.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFTW is a collection of fast C routines for computing the Discrete Fourier
Transform in one or more dimensions. It includes complex, real, and
parallel transforms, and can handle arbitrary array sizes efficiently. This
RPM package includes both the double- and single-precision FFTW uniprocessor
and threads libraries.

%description -l pl
FFTW jest zbiorem szybkich funkcji C do obliczania dyskretnych transformacji
Fouriera w jedym lub wicej wymiarach. Zawiera rwnie zoone, rzeczywiste
oraz rwnolege transformacje i potrafi wydajnie radzi sobie z tablicami o
dowolnych rozmiarach. Ten pakiet RPM zawiera zarwno uniprocesor FFTW o
pojedynczej i podwjnej precyzji jak i biblioteki wtkw.

%package devel
Summary:	headers, libraries, & docs for fftw
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the additional header files, documentation, and
libraries you need to develop programs using the FFTW fast fourier transform
library.

%package static
Summary:	Static fftw libraries
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static fftw libraries.

%prep
%setup -q
%patch -p1

%build
LDFLAGS="-s"; export LDFLAGS
%configure \
%ifarch i386 i486 i586 i686
	--enable-i386-hacks \
%endif
	--enable-shared \
	--enable-type-prefix \
	--enable-threads

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

strip --strip-unneeded $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*

gzip -9nf $RPM_BUILD_ROOT%{_infodir}/fftw.info*

%post devel
[ -x /usr/sbin/fix-info-dir ] && /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ -x /usr/sbin/fix-info-dir ] && /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_infodir}/fftw.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
